package org.processmining.visualpetrinetanalyzer.parameters;

public enum CalculationMethod {

	Frequence("Frequency"),
	PredFrequence("Predecessor frequence"),
	Sum("Sum of time"),
	Average("Average time"),
	Max("Maximum time"),
	Min("Minimum time"),
	StdDev("Standard deviation of time");
	
	private String name;       
	
	private CalculationMethod(String s) {
	    name = s;
	}
	
    @Override
    public String toString() {
      return name;
    }
}
