package org.processmining.visualpetrinetanalyzer.plugins;

import javax.swing.JComponent;

import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.visualpetrinetanalyzer.algorithms.VisualPetrinetVisualizerAlgorithm;
import org.processmining.visualpetrinetanalyzer.models.VisualPetrinetModel;

public class VisualPetrinetVisualizerPlugin extends VisualPetrinetVisualizerAlgorithm {

	@Plugin(name = "Show Visual Petrinet Model", returnLabels = { "Visualization of Petrinet" }, returnTypes = { JComponent.class }, parameterLabels = { "Visual Petrinet" }, userAccessible = true)
	@Visualizer
	public JComponent visualize(PluginContext context, VisualPetrinetModel model) {		
        return CreateVisualization(model);
	}
}
