package org.processmining.visualpetrinetanalyzer.models;

public class Event {	
	public String name;
	public String transition;

	public Event(String  name, String transition) { 
		this.name = name;
		this.transition = transition;
	}
	
	@Override
	public int hashCode() {
		int code = toString().hashCode();
		return code;
	}
	
	@Override
	public boolean equals(Object event) {
		if(event.getClass() == Event.class) {
			Event compareEvent = (Event)event;
			return name.equals(compareEvent.name) && transition.equals(compareEvent.transition);
		}
		return false;
	}
	
	@Override
	public String toString() {
		String value = name;
		if(transition != null && transition != "")
			value += "+" + transition;
		return value;
	}
}
